summaryrefslogtreecommitdiffstats
path: root/source/l/cairo/cairo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/cairo/cairo.SlackBuild')
-rwxr-xr-xsource/l/cairo/cairo.SlackBuild23
1 files changed, 19 insertions, 4 deletions
diff --git a/source/l/cairo/cairo.SlackBuild b/source/l/cairo/cairo.SlackBuild
index a6ddc3447..655cf2f49 100755
--- a/source/l/cairo/cairo.SlackBuild
+++ b/source/l/cairo/cairo.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008-2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +21,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.8.6
-ARCH=${ARCH:-x86_64}
+VERSION=1.8.8
BUILD=${BUILD:-3}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
@@ -36,6 +45,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -46,7 +58,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf cairo-$VERSION
-tar xvf $CWD/cairo-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/cairo-$VERSION.tar.?z* || exit 1
cd cairo-$VERSION
chown -R root:root .
find . \
@@ -55,6 +67,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Use libpng-1.4.x:
+zcat $CWD/cairo.libpng14.diff.gz | patch -p0 --verbose || exit 1
+
# Time to try leaving this out again?
# --disable-xcb